#include<bits/stdc++.h>
#include<stdio.h>

using namespace std;

int main() {
    int n, l, i, b = 0;


    cin >> n >> l;
    

    int a[n];


    for (i = 0; i < n; i++) {
        cin >> a[i];
    }

    for (i = 0; i < n; i++) {
        if (a[i] >= l) { 
            b++;
        } else {
            break; 
        }
    }

 
    if (b+1 == n) {
        cout << -1;
    } else {
        cout << b+1; 
    }

    return 0;
}